/* This file is part of Eclat.
   Copyright (C) 2012, 2013 Sergey Poznyakoff.
 
   Eclat is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 3, or (at your option)
   any later version.
 
   Eclat is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
 
   You should have received a copy of the GNU General Public License
   along with Eclat.  If not, see <http://www.gnu.org/licenses/>. */

#include <config.h>
#include <string.h>
#include "libeclat.h"
#include "grecs.h"

void
eclat_query_add_param(struct ec2_query *q, const char *name, const char *value)
{
	struct ec2_param *p, key;
	int install = 1;

	key.name = (char*) name;
	p = grecs_symtab_lookup_or_install(q->params, &key, &install);
	if (!install)
		free(p->value);
	p->value = value ? grecs_strdup(value) : NULL;
}
